import { plugins } from 'acorn';
import * as readTokens from './readTokens';
import readToken from './readToken';
import readString from './readString';
import readWord from './readWord';
import parseStatement from './parseStatement';
import parseFromImport from './parseFromImport';

plugins.halang = function halangPlugin(parser) {
  parser.extend('readToken', readToken);
  parser.extend('readString', readString);
  parser.extend('readWord', readWord);
  parser.extend('parseStatement', parseStatement);
  parser.extend('parseFromImport', parseFromImport);
  parser.extend('readFullTokenCaret', readTokens.readTokenCaret);
  parser.extend('readFullTokenDot', readTokens.readTokenDot);
  parser.extend('readFullTokenEqExcl', readTokens.readTokenEqExcl);
  parser.extend('readFullTokenLtGt', readTokens.readTokenLtGt);
  parser.extend('readFullTokenMultModuloExp', readTokens.readTokenMultModuloExp);
  parser.extend('readFullTokenPipeAmp', readTokens.readTokenPipeAmp);
  parser.extend('readFullTokenPlusMin', readTokens.readTokenPlusMin);
  parser.extend('readFullTokenSlash', readTokens.readTokenSlash);
};
